import request from '@/utils/request'

// 查询不良供应商-企业采购处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmBadSupplierEnterprisePenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询不良供应商-企业采购处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmBadSupplierEnterprisePenalty/' + id,
        method: 'get'
    })
}

// 新增不良供应商-企业采购处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmBadSupplierEnterprisePenalty',
        method: 'post',
        data: data
    })
}

// 修改不良供应商-企业采购处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmBadSupplierEnterprisePenalty',
        method: 'put',
        data: data
    })
}

// 删除不良供应商-企业采购处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmBadSupplierEnterprisePenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmBadSupplierEnterprisePenalty/delete',ids)
}